org.firebirdsql.gds.ng

## Class SqlCountProcessor

- java.lang.Object
- - org.firebirdsql.gds.ng.SqlCountProcessor

- All Implemented Interfaces:
    InfoProcessor<SqlCountHolder>

      public final class SqlCountProcessor
      extends java.lang.Object
      implements InfoProcessor<SqlCountHolder>

  Info processor for retrieving affected record count.
  Since:
    3.0
  Author:
    Mark Rotteveel

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.InfoProcessor

      `InfoProcessor.StatementInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlCountProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getRecordCountInfoItems()`
    `SqlCountHolder` | `process(byte[] infoResponse)` Process an infoResponse block into an object of type T.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlCountProcessor

          public SqlCountProcessor()

  - ### Method Detail

    - #### process

          public SqlCountHolder process(byte[] infoResponse)
                                 throws java.sql.SQLException

      Description copied from interface: `InfoProcessor`
      Process an infoResponse block into an object of type T.
      Specified by:
        `process` in interface `InfoProcessor<SqlCountHolder>`
      Parameters:
        `infoResponse` - byte array containing the server response to an info-request.
      Returns:
        Processed response of type T (usually - but not required - a newly created object).
      Throws:
        `InfoTruncatedException` - (optional) if `infoResponse` is truncated and this processor could not recover by itself
        `java.sql.SQLException` - for errors during processing the infoResponse.

    - #### getRecordCountInfoItems

          public byte[] getRecordCountInfoItems()

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.